Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
transient_heap_block::transient_heap_block_header Struct Reference

## Data Fields
int16_t | size
int16_t | index
int16_t | last_marked_index
int16_t | objects
struct transient_heap_block * | next_block

## Detailed Description

Definition at line 72 of file transient_heap.c.

## Field Documentation

## ◆ index

int16_t transient_heap_block::transient_heap_block_header::index

Definition at line 74 of file transient_heap.c.

## ◆ last_marked_index

int16_t transient_heap_block::transient_heap_block_header::last_marked_index

Definition at line 75 of file transient_heap.c.

## ◆ next_block

struct transient_heap_block* transient_heap_block::transient_heap_block_header::next_block

Definition at line 77 of file transient_heap.c.

## ◆ objects

int16_t transient_heap_block::transient_heap_block_header::objects

Definition at line 76 of file transient_heap.c.

## ◆ size

int16_t transient_heap_block::transient_heap_block_header::size

Definition at line 73 of file transient_heap.c.

The documentation for this struct was generated from the following file:

- transient_heap.c